### Connect

Category

Realization

Function

Creates triangle connections for a field of scattered positions.

Syntax

    output = Connect(input, method, normal);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field or vector list | none | field with positions to be connected
`method` | string | "triangulation" | connection method to be used
`normal` | vector | [0 0 1] | normal to the projection plane

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | connected field

Functional Details

The triangle connections created by this module form a surface.

`input` | should be (1) a field with a 2- or 3-dimensional component or (2) a list of 2- or 3-dimensional vectors. In the second case, the vectors are interpreted as positions.
`method` | specifies the method of connection. At present, Delaunay "triangulation" (involving Voronoi tesselation of a plane) is the only method supported.
`normal` | specifies the plane to which 3-dimensional positions are projected before triangulation is computed. Note that the output positions will be the original 3-dimensional points.

Degenerate triangles (i.e., those with colinear vertices) are not included in the output object.

Components

Adds a "connections" component. All components that depend on the "positions" component are unchanged in the output.

Example Visual Program

    ConnectingScatteredPoints.net

    SIMPLE/Connect.net

See Also

Regrid, AutoGrid

[ OpenDX Home at IBM | OpenDX.org ]